## ----preliminaries, echo=FALSE-------------------------------------------
require(Gifi)

## ------------------------------------------------------------------------
ABC6 <- ABC[, 6:11]   
fitfull <- princals(ABC6, ndim = 6)
fitfull
summary(fitfull)

## ------------------------------------------------------------------------
fit2d <- princals(ABC6, ndim = 2)
fit2d
summary(fit2d)

## ----abcscree-plot, eval=FALSE-------------------------------------------
#  op <- par(mfrow = c(1,2))
#  plot(fitfull, plot.type = "screeplot")
#  plot(fit2d)
#  par(op)

## ----abcscree-plot1, echo=FALSE, fig.width=10, fig.height=5, dev='postscript'----
op <- par(mfrow = c(1,2))
plot(fitfull, plot.type = "screeplot")
plot(fit2d)
par(op)

## ------------------------------------------------------------------------
fit1d <- princals(ABC6, ndim = 1)
fit1d
summary(fit1d)

## ------------------------------------------------------------------------
ABC6m <- sapply(ABC6, function(x) as.numeric(levels(x))[x])
fitpc <- princomp(ABC6m)
fitpc
fit1d$eigenvalues/(fitpc$sdev^2)[1]       ## eigenvalue ratio NLPCA/PCA

## ------------------------------------------------------------------------
fit1dm <- princals(ABC6, ndim = 1, level = "numerical")
fit1dm
fit1dm$eigenvalues/(fitpc$sdev^2)[1]       ## eigenvalue ratio NLPCA/PCA

## ------------------------------------------------------------------------
fit1dc <- princals(ABC6, ndim = 1, level = "nominal")
fit1dc

